summaryrefslogtreecommitdiffhomepage
path: root/kokoro/run_build.sh
diff options
context:
space:
mode:
authorAdin Scannell <ascannell@google.com>2018-07-27 17:52:21 -0700
committerShentubot <shentubot@google.com>2018-07-27 17:53:27 -0700
commit3c673659998ecf51a22025886c92cd2d161d85e9 (patch)
tree5eb36f027faf7f01f9f9feb9c8bb42a8b8a90309 /kokoro/run_build.sh
parent2793f7ac5f96b474decfff68cfde86bb5c2ed0a4 (diff)
Simplify Kokoro configuration.
PiperOrigin-RevId: 206401009 Change-Id: I26644d1fe637b5a40db013fedf9fc063cc87ce6a
Diffstat (limited to 'kokoro/run_build.sh')
-rwxr-xr-xkokoro/run_build.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/kokoro/run_build.sh b/kokoro/run_build.sh
new file mode 100755
index 000000000..f2b719f52
--- /dev/null
+++ b/kokoro/run_build.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+# Copyright 2018 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Fail on any error.
+set -e
+# Display commands to stderr.
+set -x
+
+# Install the latest version of Bazel.
+use_bazel.sh latest
+
+# Log the bazel path and version.
+which bazel
+bazel version
+
+cd git/repo
+
+# Build runsc.
+bazel build //runsc
+
+# Move the runsc binary into "latest" directory, and also a directory with the
+# current date.
+latest_dir="${KOKORO_ARTIFACTS_DIR}"/latest
+today_dir="${KOKORO_ARTIFACTS_DIR}"/"$(date -Idate)"
+mkdir -p "${latest_dir}" "${today_dir}"
+cp bazel-bin/runsc/linux_amd64_pure_stripped/runsc "${latest_dir}"
+sha512sum "${latest_dir}"/runsc | awk '{print $1 " runsc"}' > "${latest_dir}"/runsc.sha512
+cp bazel-bin/runsc/linux_amd64_pure_stripped/runsc "${today_dir}"
+sha512sum "${today_dir}"/runsc | awk '{print $1 " runsc"}' > "${today_dir}"/runsc.sha512